#include <iostream>


#define maxn 1000

using namespace std;

int main()
{
    int N;
    int L;
    cin >> N >> L;
    
    int izlaz = -1;
    for(int i = 0; i < N; i++)
    {
        int H;
        cin >> H;
        if(H <= L && izlaz == -1)
        {
            izlaz = i + 1;
        }
    }
    cout << izlaz;
}